aboutsummaryrefslogtreecommitdiff
path: root/network/wp-cli/wp-cli.SlackBuild
diff options
context:
space:
mode:
authorDave Woodfall <dave@slackbuilds.org>2020-04-23 16:09:59 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2020-04-24 08:18:56 +0700
commitadfcd9d8cc629c6096d8bb69eb35acf14bcf839e (patch)
tree87ad341d1e7d8c2c156f7166857780738ba9c712 /network/wp-cli/wp-cli.SlackBuild
parentb0ff44bd0c495f4c3dabbe08b3568eb1646bf09f (diff)
network/wp-cli: Added (A command line interface for WordPress).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/wp-cli/wp-cli.SlackBuild')
-rw-r--r--network/wp-cli/wp-cli.SlackBuild59
1 files changed, 59 insertions, 0 deletions
diff --git a/network/wp-cli/wp-cli.SlackBuild b/network/wp-cli/wp-cli.SlackBuild
new file mode 100644
index 000000000000..d0687b8d7ec9
--- /dev/null
+++ b/network/wp-cli/wp-cli.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# Slackware build script for wp-cli
+#
+# Copyright 2016-2020 Corrado Franco (https://corradofranco.it)
+# All rights reserved.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+#
+
+CWD=$(pwd)
+
+PRGNAM=wp-cli
+VERSION=2.4.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+
+install -Dm755 $CWD/$PRGNAM-$VERSION.phar $PKG/usr/bin/wp
+
+# Install bash completion
+install -Dm644 $CWD/files/wp-completion.bash $PKG/etc/bash_completion.d/wp
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/files/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}